//
//  MyView.h
//  041_NSBitmapImageRep
//
//  Created by julius on 13/12/2008.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

# define X_SIZE 256
#define  Y_SIZE 256


@interface MyView : NSView {
    IBOutlet  NSTextField    *parameterTextField;
		
	NSBitmapImageRep			*	nsBitmapImageRepObj;
	NSRect	nsRectFrameRect;
	CGFloat	cgFloatRed;
	CGFloat	cgFloatRedUpdate;
	NSTimer	*	nsTimerRef_1;
	NSTimer	*	nsTimerRef_2;	

	int generation_time;
	int init_option;
	float parametro;

	float LatticeConfiguration[ (int)X_SIZE][(int)Y_SIZE];

}




-(void)paintGradientBitmap;

	

-(void)updateLatticeConfiguration;

- (IBAction) startAnimation:(id)pId;
- (IBAction) stopAnimation:(id)pId;
- (IBAction)setParameter:(id)sender;
- (IBAction)initLatticeConfiguration:(id)sender;

- (IBAction)setInitOption_0:(id)sender;
- (IBAction)setInitOption_1:(id)sender;
- (IBAction)setInitOption_2:(id)sender;

@end
